﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


            Control.CheckForIllegalCrossThreadCalls = false;

            System.Threading.ThreadPool.QueueUserWorkItem((m) =>
            {
                _12306Class.GetMainPage(cookie: new CookieCollection());
                GetLoginImage();
            });
        }

        private void GetLoginImage()
        {
            pictureBox1.Image = _12306Class.GetLoginImage();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            System.Threading.ThreadPool.QueueUserWorkItem((m) =>
                {
                    button1.Enabled = false;

                    checkedListBox1.Items.Clear();

                    var v = _12306Class.Login(textBox1.Text, textBox2.Text, textBox3.Text);
                    if (v.IsLogined)
                    {
                        int count = 0;
                        int pageSize = 7;
                        int pageIndex = 0; ;
                        do
                        {
                            List<Contact> contacts = _12306Class.GetFavoriteContacts(pageIndex, pageSize, out count);

                            foreach (var contact in contacts)
                            {
                                checkedListBox1.Items.Add(string.Format("{0}\t{1}\t{2}", contact.Name, contact.IdTypeName, contact.IdNo));
                            }

                        } while ((pageIndex + 1) * pageSize < count);
                    }
                    else
                    {
                        MessageBox.Show(v.Message);
                        button1.Enabled = true;
                    }
                });
        }

        private void button2_Click(object sender, EventArgs e)
        {
            GetLoginImage();
        }


    }
}
